﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace SilverlightApplication134
{
    public class Person:INotifyPropertyChanged
    {
        string name = string.Empty;

        public string Name
        {
            get { return name; }
            set { name = value;
            NotifyPropertyChanged("Name");
            }
        }

        int status = 0;

        public int Status
        {
            get { return status; }
            set { status = value;
            NotifyPropertyChanged("Status");
            }
        }

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }



        public event PropertyChangedEventHandler PropertyChanged;
    }
}
